SOLIDWORKS PDM Professional API Help | Send Feedback
IsLocked Method (IEdmBomCell)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomCell Interface : IsLocked Method (IEdmBomCell)

Visual Basic
C#
C++/CLI
Gets whether the file associated with this BOM cell is checked out and can be edited.

# Syntax

Visual Basic |
--- | ---
    Function IsLocked() As System.Boolean

C# |
--- | ---
    System.bool IsLocked()

C++/CLI |
--- | ---
    System.bool IsLocked();

#### Return Value

True if the file associated with this BOM cell is available for editing, false if not

# Example

See the IEdmBomCell examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomCell Interface
IEdmBomCell Members

# Availability

SOLIDWORKS PDM Professional 2009